<?php
namespace ONM\RedirectLinkhandling\Command;

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2013 David Mann <dm@onm.de>, Open New Media GmbH
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * Scheduluer Task for the redirectlinkhandlingmod
 *
 * @package redirect_linkhandling
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 *
 */
class ClearDatabaseCommandController extends \TYPO3\CMS\Extbase\Mvc\Controller\CommandController {
        
    /**
    * linkRepository
    *
    * @var \ONM\RedirectLinkhandling\Domain\Repository\LinkRepository
     * @inject
    */
   protected $linkRepository;
    
    /**
     * clear Database
     *
     * @param int $days until declared as old
     * @param int $numberOfMaxHits number of hits 
     */
    public function clearDatabaseFromOldCommand($days = 7, $numberOfMaxHits = 10) {
        try {
            $oldEntries = $this->linkRepository->findOld($days, $numberOfMaxHits);
            $numOfDeletedEntries = 0;
            if ($oldEntries != null && $oldEntries->count() > 0) {
                foreach ($oldEntries as $oldEntry) {
                    $this->linkRepository->remove($oldEntry);
                    $numOfDeletedEntries++;
                }
            }
            $this->outputLine($numOfDeletedEntries . " Einträge entfernt.");
            echo $numOfDeletedEntries . " Einträge entfernt.";
        } catch (\Exception $exception) {
            $this->outputLine($exception->getMessage());
        }
    }
}

