<?php

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2012 David Mann <dm@onm.de>, Open New Media GmbH
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/


/**
 * called by scheduler to mail new 404
 *
 * @package redirect_linkhandling
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 *
 */
class Tx_RedirectLinkhandling_Task_NotificationMail extends \TYPO3\CMS\Scheduler\Task\AbstractTask
{
	/**
	 * (non-PHPdoc)
	 * @see typo3_src/typo3/sysext/scheduler/tx_scheduler_Task::execute()
	 */
    public function execute()
    {
        set_include_path(get_include_path() . PATH_SEPARATOR . PATH_site);
        
		$configuration = array(
    		'extensionName' => 'RedirectLinkhandling',
    		'pluginName' => 'Pi1'
		);

		$_SERVER['REQUEST_METHOD'] = 'GET';
		$_GET['tx_redirectlinkhandling_pi1']['controller'] = 'RedirectLinks';
		$_GET['tx_redirectlinkhandling_pi1']['action'] = 'notification';
		$GLOBALS['TYPO3_CONF_VARS']['EXTCONF']['extbase']['extensions']['RedirectLinkhandling']['modules']['Pi1']['controllers'] = array(
		    'RedirectLinks' => array('actions' => array('notification'))
		);

        
        try {
            $bootstrap = t3lib_div::makeInstance('Tx_Extbase_Core_Bootstrap');
            $output = $bootstrap->run('', $configuration);
            echo "ERGEBNIS:\n" . $output . "\n";
            
        } catch (Exception $e) {
            $message = $e->getMessage() . "\n" . $e->getTraceAsString() . "\n";
            echo "FEHLER:\n$message";
            Tx_RedirectLinkhandling_Utility_Div::log($message, 1);
        }
        
        return true; 
    }
}
