<?php

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2013 David Mann <dm@onm.de>, Open New Media GmbH
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * Test case for class Tx_RedirectLinkhandling_Domain_Model_Rule.
 *
 * @version $Id$
 * @copyright Copyright belongs to the respective authors
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 *
 * @package TYPO3
 * @subpackage Redirect Linkhandling
 *
 * @author David Mann <dm@onm.de>
 */
class Tx_RedirectLinkhandling_Domain_Model_RuleTest extends Tx_Extbase_Tests_Unit_BaseTestCase {
	/**
	 * @var Tx_RedirectLinkhandling_Domain_Model_Rule
	 */
	protected $fixture;

	public function setUp() {
		$this->fixture = new Tx_RedirectLinkhandling_Domain_Model_Rule();
	}

	public function tearDown() {
		unset($this->fixture);
	}

	/**
	 * @test
	 */
	public function getExpressionReturnsInitialValueForString() {

		$this->assertNull($this->fixture->getExpression());
    }

	/**
	 * @test
	 */
	public function setExpressionForStringSetsExpression() {
		$this->fixture->setExpression('This is a unit test');

		$this->assertSame(
			'This is a unit test',
			$this->fixture->getExpression()
		);
	}

	/**
	 * @test
	 */
	public function getTargetReturnsInitialValueForString() {
		$this->assertNull($this->fixture->getTarget());
    }

	/**
	 * @test
	 */
	public function setTargetForStringSetsTarget() {
		$this->fixture->setTarget('This is a unit test');

		$this->assertSame(
			'This is a unit test',
			$this->fixture->getTarget()
		);
	}

	/**
	 * @test
	 */
	public function getActiveReturnsInitialValueForBoolean() {
        $this->assertFalse($this->fixture->getActive());
    }

	/**
	 * @test
	 */
	public function setActiveForBooleanSetsActive() {
		$this->fixture->setActive(TRUE);

		$this->assertTrue($this->fixture->getActive());
	}

	/**
	 * @test
	 */
	public function isActiveForBooleanActive() {
		$this->fixture->setActive(TRUE);

		$this->assertTrue($this->fixture->isActive());
	}

	/**
	 * @test
	 */
	public function getIgnoreonredirectReturnsInitialValueForBoolean() {
        $this->assertFalse($this->fixture->getIgnoreonredirect());
    }

	/**
	 * @test
	 */
	public function setIgnoreonredirectForBooleanSetsActive() {
		$this->fixture->setIgnoreonredirect(TRUE);

		$this->assertTrue($this->fixture->getIgnoreonredirect());
	}

}
?>