<?php

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2013 David Mann <dm@onm.de>, Open New Media GmbH
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * Test case for class Tx_redirect_linkhandling_Utility_DivTest.
 *
 * @version $Id$
 * @copyright Copyright belongs to the respective authors
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 *
 * @package TYPO3
 * @subpackage Redirect Linkhandling
 *
 * @author David Mann <dm@onm.de>
 */
class Tx_redirect_linkhandling_Utility_DivTest extends Tx_Extbase_Tests_Unit_BaseTestCase {
	/**
	 * @var array
	 */
	protected $getUrlTestData;

    /**
	 * @var array
	 */
	protected $getExtTSConfigValueTestData;


	public function setUp() {

        // this data are special test cases depending on your page setup
        $this->getUrlTestData = array();
        $this->getUrlTestData[] = array(6, 'startseite/');
        $this->getUrlTestData[] = array('test/test.html', 'test/test.html');
        $this->getUrlTestData[] = array('http://www.google.de', 'http://www.google.de');
        $this->getExtTSConfigValueTestData = array();
//        $this->getExtTSConfigValueTestData[] = array('http://www.example.de', '4', 'storagePid', 'persistence');
//        $this->getExtTSConfigValueTestData[] = array('http://www.example.de', '2', 'errorPage', 'settings');
//        $this->getExtTSConfigValueTestData[] = array('http://www.secondexample.de', '7', 'storagePid', 'persistence');
//        $this->getExtTSConfigValueTestData[] = array('http://www.secondexample.de', '8', 'errorPage', 'settings');
	}

	public function tearDown() {
        $this->getUrlTestData = NULL;
        $this->getExtTSConfigValueTestData = NULL;
	}

	/**
     * in this test we are testing the method getUrl
     * and indirectly initTSFE
     *
	 * @test
	 */
	public function getUrlTest() {

        foreach ($this->getUrlTestData as $testData) {
            $this->assertSame(
                    $testData[1],
                    Tx_RedirectLinkhandling_Utility_Div::getUrl($testData[0])
                );
        }
	}

	/**
     * in this test we are testing the method getExtTSConfigValue
     * and indirectly generateTSConfig, getRootline and initTSFE
     *
	 * @test
	 */
	public function getExtTSConfigValue() {

        foreach ($this->getExtTSConfigValueTestData as $testData) {
            $this->assertSame(
                    $testData[1],
                    Tx_RedirectLinkhandling_Utility_Div::getExtTSConfigValue(
                            Tx_RedirectLinkhandling_Utility_Div::generateTSConfig($testData[0]),
                            $testData[2],
                            $testData[3]
                        )
                );
        }
	}
}
?>
